Up

# NSMetadata documentation

### Authors

Gregory John Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2012 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSMetadataItem class
2. Software documentation for the NSMetadataQuery class
3. Software documentation for the NSMetadataQueryAttributeValueTuple class
4. Software documentation for the NSMetadataQueryResultGroup class
5. Software documentation for the NSObject(NSMetadataQueryDelegate) informal protocol
6. Software documentation for the NSMetadataQueryDelegate protocol

# Software documentation for the NSMetadataItem class

## NSMetadataItem : NSObject

> Declared in:
>   Foundation/NSMetadata.h

Availability: OpenStep
Description forthcoming.
Method summary

- -attributes
- -valueForAttribute:
- -valuesForAttributes:

### attributes

- (NSArray*) attributes;
Availability: OpenStep
Description forthcoming.

### valueForAttribute:

- (id) valueForAttribute: (NSString*)key;
Availability: OpenStep
Description forthcoming.

### valuesForAttributes:

- (NSDictionary*) valuesForAttributes: (NSArray*)keys;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSMetadataQuery class

## NSMetadataQuery : NSObject

> Declared in:
>   Foundation/NSMetadata.h

Availability: OpenStep
Description forthcoming.
Method summary

- -delegate
- -disableUpdates
- -enableUpdates
- -groupedResults
- -groupingAttributes
- -indexOfResult:
- -isGathering
- -isStarted
- -isStopped
- -notificationBatchingInterval
- -predicate
- -resultAtIndex:
- -resultCount
- -results
- -searchItemURLs
- -searchScopes
- -setDelegate:
- -setGroupingAttributes:
- -setNotificationBatchingInterval:
- -setPredicate:
- -setSearchItemURLs:
- -setSearchScopes:
- -setSortDescriptors:
- -setValueListAttributes:
- -sortDescriptors
- -startQuery
- -stopQuery
- -valueListAttributes
- -valueLists
- -valueOfAttribute:forResultAtIndex:

### delegate

- (id<NSMetadataQueryDelegate>) delegate;
Availability: OpenStep
Description forthcoming.

### disableUpdates

- (void) disableUpdates;
Availability: OpenStep
Description forthcoming.

### enableUpdates

- (void) enableUpdates;
Availability: OpenStep
Description forthcoming.

### groupedResults

- (NSArray*) groupedResults;
Availability: OpenStep
Description forthcoming.

### groupingAttributes

- (NSArray*) groupingAttributes;
Availability: OpenStep
Description forthcoming.

### indexOfResult:

- (NSUInteger) indexOfResult: (id)result;
Availability: OpenStep
Description forthcoming.

### isGathering

- (BOOL) isGathering;
Availability: OpenStep
Description forthcoming.

### isStarted

- (BOOL) isStarted;
Availability: OpenStep
Description forthcoming.

### isStopped

- (BOOL) isStopped;
Availability: OpenStep
Description forthcoming.

### notificationBatchingInterval

- (NSTimeInterval) notificationBatchingInterval;
Availability: OpenStep
Description forthcoming.

### predicate

- (NSPredicate*) predicate;
Availability: OpenStep
Description forthcoming.

### resultAtIndex:

- (id) resultAtIndex: (NSUInteger)index;
Availability: OpenStep
Description forthcoming.

### resultCount

- (NSUInteger) resultCount;
Availability: OpenStep
Description forthcoming.

### results

- (NSArray*) results;
Availability: OpenStep
Description forthcoming.

### searchItemURLs

- (NSArray*) searchItemURLs;
Availability: OpenStep
Description forthcoming.

### searchScopes

- (NSArray*) searchScopes;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id<NSMetadataQueryDelegate>)delegate;
Availability: OpenStep
Description forthcoming.

### setGroupingAttributes:

- (void) setGroupingAttributes: (NSArray*)attrs;
Availability: OpenStep
Description forthcoming.

### setNotificationBatchingInterval:

- (void) setNotificationBatchingInterval: (NSTimeInterval)interval;
Availability: OpenStep
Description forthcoming.

### setPredicate:

- (void) setPredicate: (NSPredicate*)predicate;
Availability: OpenStep
Description forthcoming.

### setSearchItemURLs:

- (void) setSearchItemURLs: (NSArray*)urls;
Availability: OpenStep
Description forthcoming.

### setSearchScopes:

- (void) setSearchScopes: (NSArray*)scopes;
Availability: OpenStep
Description forthcoming.

### setSortDescriptors:

- (void) setSortDescriptors: (NSArray*)attrs;
Availability: OpenStep
Description forthcoming.

### setValueListAttributes:

- (void) setValueListAttributes: (NSArray*)attrs;
Availability: OpenStep
Description forthcoming.

### sortDescriptors

- (NSArray*) sortDescriptors;
Availability: OpenStep
Description forthcoming.

### startQuery

- (BOOL) startQuery;
Availability: OpenStep
Description forthcoming.

### stopQuery

- (void) stopQuery;
Availability: OpenStep
Description forthcoming.

### valueListAttributes

- (NSArray*) valueListAttributes;
Availability: OpenStep
Description forthcoming.

### valueLists

- (NSDictionary*) valueLists;
Availability: OpenStep
Description forthcoming.

### valueOfAttribute: forResultAtIndex:

- (id) valueOfAttribute: (id)attr forResultAtIndex: (NSUInteger)index;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSMetadataQueryAttributeValueTuple class

## NSMetadataQueryAttributeValueTuple : NSObject

> Declared in:
>   Foundation/NSMetadata.h

Availability: OpenStep
Description forthcoming.
Method summary

- -attribute
- -count
- -value

### attribute

- (NSString*) attribute;
Availability: OpenStep
Description forthcoming.

### count

- (NSUInteger) count;
Availability: OpenStep
Description forthcoming.

### value

- (id) value;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSMetadataQueryResultGroup class

## NSMetadataQueryResultGroup : NSObject

> Declared in:
>   Foundation/NSMetadata.h

Availability: OpenStep
Description forthcoming.
Method summary

- -attribute
- -resultAtIndex:
- -resultCount
- -results
- -subgroups
- -value

### attribute

- (NSString*) attribute;
Availability: OpenStep
Description forthcoming.

### resultAtIndex:

- (id) resultAtIndex: (NSUInteger)index;
Availability: OpenStep
Description forthcoming.

### resultCount

- (NSUInteger) resultCount;
Availability: OpenStep
Description forthcoming.

### results

- (NSArray*) results;
Availability: OpenStep
Description forthcoming.

### subgroups

- (NSArray*) subgroups;
Availability: OpenStep
Description forthcoming.

### value

- (id) value;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSObject(NSMetadataQueryDelegate) informal protocol

## NSObject(NSMetadataQueryDelegate)

> Declared in:
>   Foundation/NSMetadata.h

Availability: OpenStep
Description forthcoming.
Method summary

- -metadataQuery:replacementObjectForResultObject:
- -metadataQuery:replacementValueForAttribute:value:

### metadataQuery: replacementObjectForResultObject:

- (id) metadataQuery: (NSMetadataQuery*)query replacementObjectForResultObject: (NSMetadataItem*)result;
Availability: OpenStep
Description forthcoming.

### metadataQuery: replacementValueForAttribute: value:

- (id) metadataQuery: (NSMetadataQuery*)query replacementValueForAttribute: (NSString*)attribute value: (id)attributeValue;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSMetadataQueryDelegate protocol

## NSMetadataQueryDelegate

> Declared in:
>   Foundation/NSMetadata.h

Availability: OpenStep
Description forthcoming.
Up